const ConcurrentError = function (aggregateId) {
  Error.call(this);
  this.name = 'ConcurrentError';
  this.message = `Cannot save the event because the aggregate '${aggregateId}' is currently out of date. Please retry later.`;

  if (Error.captureStackTrace) {
    Error.captureStackTrace(this, ConcurrentError);
  } else {
    this.stack = new Error().stack;
  }
};

ConcurrentError.prototype = Object.create(Error.prototype);
export default ConcurrentError;
//# sourceMappingURL=concurrent-error.js.map