const wrapDispose = (pool, dispose) => async () => {
  if (pool.disposed) {
    throw new Error('Adapter has been already disposed');
  }

  pool.disposed = true;

  if (!pool.isInitialized) {
    return;
  }

  await pool.connectPromise;
  await dispose(pool);
};

export default wrapDispose;
//# sourceMappingURL=wrap-dispose.js.map