"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "MAINTENANCE_MODE_AUTO", {
  enumerable: true,
  get: function () {
    return _constants.MAINTENANCE_MODE_AUTO;
  }
});
Object.defineProperty(exports, "MAINTENANCE_MODE_MANUAL", {
  enumerable: true,
  get: function () {
    return _constants.MAINTENANCE_MODE_MANUAL;
  }
});
Object.defineProperty(exports, "ConcurrentError", {
  enumerable: true,
  get: function () {
    return _concurrentError.default;
  }
});
Object.defineProperty(exports, "EventstoreResourceAlreadyExistError", {
  enumerable: true,
  get: function () {
    return _resourceErrors.ResourceAlreadyExistError;
  }
});
Object.defineProperty(exports, "EventstoreResourceNotExistError", {
  enumerable: true,
  get: function () {
    return _resourceErrors.ResourceNotExistError;
  }
});
Object.defineProperty(exports, "EventstoreFrozenError", {
  enumerable: true,
  get: function () {
    return _frozenErrors.EventstoreFrozenError;
  }
});
Object.defineProperty(exports, "EventstoreAlreadyFrozenError", {
  enumerable: true,
  get: function () {
    return _frozenErrors.AlreadyFrozenError;
  }
});
Object.defineProperty(exports, "EventstoreAlreadyUnfrozenError", {
  enumerable: true,
  get: function () {
    return _frozenErrors.AlreadyUnfrozenError;
  }
});
Object.defineProperty(exports, "getNextCursor", {
  enumerable: true,
  get: function () {
    return _getNextCursor.default;
  }
});
Object.defineProperty(exports, "throwBadCursor", {
  enumerable: true,
  get: function () {
    return _throwBadCursor.default;
  }
});
Object.defineProperty(exports, "snapshotTrigger", {
  enumerable: true,
  get: function () {
    return _snapshotTrigger.default;
  }
});
Object.defineProperty(exports, "validate", {
  enumerable: true,
  get: function () {
    return _types.validate;
  }
});
Object.defineProperty(exports, "UnbrandProps", {
  enumerable: true,
  get: function () {
    return _types.UnbrandProps;
  }
});
Object.defineProperty(exports, "CursorFilter", {
  enumerable: true,
  get: function () {
    return _types.CursorFilter;
  }
});
Object.defineProperty(exports, "TimestampFilter", {
  enumerable: true,
  get: function () {
    return _types.TimestampFilter;
  }
});
Object.defineProperty(exports, "isTimestampFilter", {
  enumerable: true,
  get: function () {
    return _types.isTimestampFilter;
  }
});
Object.defineProperty(exports, "isCursorFilter", {
  enumerable: true,
  get: function () {
    return _types.isCursorFilter;
  }
});
Object.defineProperty(exports, "EventsWithCursor", {
  enumerable: true,
  get: function () {
    return _types.EventsWithCursor;
  }
});
Object.defineProperty(exports, "EventFilter", {
  enumerable: true,
  get: function () {
    return _types.EventFilter;
  }
});
Object.defineProperty(exports, "Adapter", {
  enumerable: true,
  get: function () {
    return _types.Adapter;
  }
});
Object.defineProperty(exports, "AdapterPoolConnectedProps", {
  enumerable: true,
  get: function () {
    return _types.AdapterPoolConnectedProps;
  }
});
Object.defineProperty(exports, "AdapterPoolPossiblyUnconnected", {
  enumerable: true,
  get: function () {
    return _types.AdapterPoolPossiblyUnconnected;
  }
});
Object.defineProperty(exports, "AdapterPoolConnected", {
  enumerable: true,
  get: function () {
    return _types.AdapterPoolConnected;
  }
});
Object.defineProperty(exports, "AdapterConfig", {
  enumerable: true,
  get: function () {
    return _types.AdapterConfig;
  }
});
Object.defineProperty(exports, "AdapterConfigSchema", {
  enumerable: true,
  get: function () {
    return _types.AdapterConfigSchema;
  }
});
Object.defineProperty(exports, "ImportOptions", {
  enumerable: true,
  get: function () {
    return _types.ImportOptions;
  }
});
Object.defineProperty(exports, "ExportOptions", {
  enumerable: true,
  get: function () {
    return _types.ExportOptions;
  }
});
Object.defineProperty(exports, "SecretFilter", {
  enumerable: true,
  get: function () {
    return _types.SecretFilter;
  }
});
Object.defineProperty(exports, "SecretsWithIdx", {
  enumerable: true,
  get: function () {
    return _types.SecretsWithIdx;
  }
});
Object.defineProperty(exports, "SecretRecord", {
  enumerable: true,
  get: function () {
    return _types.SecretRecord;
  }
});
Object.defineProperty(exports, "InputEvent", {
  enumerable: true,
  get: function () {
    return _types.InputEvent;
  }
});
Object.defineProperty(exports, "SavedEvent", {
  enumerable: true,
  get: function () {
    return _types.SavedEvent;
  }
});
Object.defineProperty(exports, "EventThreadData", {
  enumerable: true,
  get: function () {
    return _types.EventThreadData;
  }
});
Object.defineProperty(exports, "Cursor", {
  enumerable: true,
  get: function () {
    return _types.Cursor;
  }
});
Object.defineProperty(exports, "makeSetSecretEvent", {
  enumerable: true,
  get: function () {
    return _secretEvent.makeSetSecretEvent;
  }
});
Object.defineProperty(exports, "makeDeleteSecretEvent", {
  enumerable: true,
  get: function () {
    return _secretEvent.makeDeleteSecretEvent;
  }
});
Object.defineProperty(exports, "DELETE_SECRET_EVENT_TYPE", {
  enumerable: true,
  get: function () {
    return _secretEvent.DELETE_SECRET_EVENT_TYPE;
  }
});
Object.defineProperty(exports, "SET_SECRET_EVENT_TYPE", {
  enumerable: true,
  get: function () {
    return _secretEvent.SET_SECRET_EVENT_TYPE;
  }
});
exports.iotsTypes = exports.iots = exports.default = void 0;

var _createAdapter = _interopRequireDefault(require("./create-adapter"));

var _importEvents = _interopRequireDefault(require("./import-events"));

var _exportEvents = _interopRequireDefault(require("./export-events"));

var _wrapMethod = _interopRequireDefault(require("./wrap-method"));

var _wrapEventFilter = _interopRequireDefault(require("./wrap-event-filter"));

var _wrapDispose = _interopRequireDefault(require("./wrap-dispose"));

var _validateEventFilter = _interopRequireDefault(require("./validate-event-filter"));

var _constants = require("./constants");

var _concurrentError = _interopRequireDefault(require("./concurrent-error"));

var _resourceErrors = require("./resource-errors");

var _frozenErrors = require("./frozen-errors");

var _loadEvents = _interopRequireDefault(require("./load-events"));

var _getNextCursor = _interopRequireDefault(require("./get-next-cursor"));

var _throwBadCursor = _interopRequireDefault(require("./throw-bad-cursor"));

var _snapshotTrigger = _interopRequireDefault(require("./snapshot-trigger"));

var _incrementalImport = _interopRequireDefault(require("./incremental-import"));

var _importSecrets = _interopRequireDefault(require("./import-secrets"));

var _exportSecrets = _interopRequireDefault(require("./export-secrets"));

var _init = _interopRequireDefault(require("./init"));

var _drop = _interopRequireDefault(require("./drop"));

var iots = _interopRequireWildcard(require("io-ts"));

exports.iots = iots;

var iotsTypes = _interopRequireWildcard(require("io-ts-types"));

exports.iotsTypes = iotsTypes;

var _types = require("./types");

var _secretEvent = require("./secret-event");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const wrappedCreateAdapter = (adapterFunctions, connectionDependencies, options) => {
  const commonFunctions = {
    maybeThrowResourceError: _resourceErrors.maybeThrowResourceError,
    importEventsStream: _importEvents.default,
    exportEventsStream: _exportEvents.default,
    wrapMethod: _wrapMethod.default,
    wrapEventFilter: _wrapEventFilter.default,
    wrapDispose: _wrapDispose.default,
    validateEventFilter: _validateEventFilter.default,
    loadEvents: _loadEvents.default,
    incrementalImport: _incrementalImport.default,
    getNextCursor: _getNextCursor.default,
    exportSecretsStream: _exportSecrets.default,
    importSecretsStream: _importSecrets.default,
    init: _init.default,
    drop: _drop.default
  };
  return (0, _createAdapter.default)(commonFunctions, adapterFunctions, connectionDependencies, options);
};

var _default = wrappedCreateAdapter;
exports.default = _default;
//# sourceMappingURL=index.js.map