"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.makeSetSecretEvent = makeSetSecretEvent;
exports.makeDeleteSecretEvent = makeDeleteSecretEvent;
exports.DELETE_SECRET_EVENT_TYPE = exports.SET_SECRET_EVENT_TYPE = void 0;

var _nanoid = require("nanoid");

const saltSize = 10;
const SET_SECRET_EVENT_TYPE = 'RESOLVE_SET_SECRET';
exports.SET_SECRET_EVENT_TYPE = SET_SECRET_EVENT_TYPE;
const DELETE_SECRET_EVENT_TYPE = 'RESOLVE_DELETE_SECRET';
exports.DELETE_SECRET_EVENT_TYPE = DELETE_SECRET_EVENT_TYPE;

function makeSetSecretEvent(id) {
  return {
    type: SET_SECRET_EVENT_TYPE,
    timestamp: 1,
    aggregateId: SET_SECRET_EVENT_TYPE + '_' + id + '_' + (0, _nanoid.nanoid)(saltSize),
    aggregateVersion: 1,
    payload: {
      id: id
    }
  };
}

function makeDeleteSecretEvent(id) {
  return {
    type: DELETE_SECRET_EVENT_TYPE,
    timestamp: 1,
    aggregateId: DELETE_SECRET_EVENT_TYPE + '_' + id + '_' + (0, _nanoid.nanoid)(saltSize),
    aggregateVersion: 1,
    payload: {
      id: id
    }
  };
}
//# sourceMappingURL=secret-event.js.map